import "dart:io";

import "utils.dart";

class OcctRoutesParser extends Parser<Route> {
  final routesFile = File(occtDataDir / "routes.json");

  @override
  Future<List<Route>> parse() async => [
    for (final routeJson in await readJson(routesFile))
      Route.fromOcctJson(routeJson),
  ];
}
